#!/usr/bin/env bash

inames=$(ip link | awk -F: '$0 !~ "lo|vir|wl|^[^0-9]"{print $2;getline}' | cut -d'@' -f1)

for _iname in $inames ; do
   echo ""
   echo "Found Interface '$_iname'"
done

echo ""
exit 0
